Trouble with installing arduino package

I’ve been trying to install the arduino package for octave v3.6.4, but I keep getting this error:

warning: file arduino-0.6.0.tar.gz does not exist

I tried deleting and reinstalling the arduino file, but it still doesn’t work. A solution to this problem would be glad.

This is an ancient Octave version from 2013 Release History - Octave Is there any particular need to run such an old version?

Can you give the exact commands that lead to this warning?

Furthermore, the arduino package requires Octave >= 4.0.0.

With a newer Octave version you can install it using

pkg install -forge arduino

I downloaded the latest version of octave and I got it to work. My college professor had an outdated link for it! That’s on him.

On what system do you want to run Octave?

I’m running it on a Dell Inspiron with Windows 10 OS

Then please install the latest Octave octave-6.2.0-w64-installer.exe from the official website

and install the arduino package as described before.